Index: e2fsprogs-1.42.12/lib/blkid/devname.c
===================================================================
--- e2fsprogs-1.42.12.orig/lib/blkid/devname.c	2014-07-03 22:33:48.000000000 +0800
+++ e2fsprogs-1.42.12/lib/blkid/devname.c	2022-01-27 22:54:42.879876367 +0800
@@ -37,7 +37,9 @@
 #include <sys/mkdev.h>
 #endif
 #include <time.h>
-
+#ifdef HAVE_SYS_SYSMACROS_H
+#include <sys/sysmacros.h>
+#endif
 #include "blkidP.h"
 
 /*
Index: e2fsprogs-1.42.12/lib/blkid/devno.c
===================================================================
--- e2fsprogs-1.42.12.orig/lib/blkid/devno.c	2014-06-26 03:19:15.000000000 +0800
+++ e2fsprogs-1.42.12/lib/blkid/devno.c	2022-01-27 22:55:17.691876715 +0800
@@ -31,7 +31,9 @@
 #if HAVE_SYS_MKDEV_H
 #include <sys/mkdev.h>
 #endif
-
+#ifdef HAVE_SYS_SYSMACROS_H
+#include <sys/sysmacros.h>
+#endif
 #include "blkidP.h"
 
 char *blkid_strndup(const char *s, int length)
Index: e2fsprogs-1.42.12/lib/ext2fs/finddev.c
===================================================================
--- e2fsprogs-1.42.12.orig/lib/ext2fs/finddev.c	2014-06-26 03:19:15.000000000 +0800
+++ e2fsprogs-1.42.12/lib/ext2fs/finddev.c	2022-01-27 22:55:46.043876998 +0800
@@ -31,7 +31,9 @@
 #if HAVE_SYS_MKDEV_H
 #include <sys/mkdev.h>
 #endif
-
+#ifdef HAVE_SYS_SYSMACROS_H
+#include <sys/sysmacros.h>
+#endif
 #include "ext2_fs.h"
 #include "ext2fs.h"
 #include "ext2fsP.h"
Index: e2fsprogs-1.42.12/lib/ext2fs/ismounted.c
===================================================================
--- e2fsprogs-1.42.12.orig/lib/ext2fs/ismounted.c	2014-07-03 22:33:48.000000000 +0800
+++ e2fsprogs-1.42.12/lib/ext2fs/ismounted.c	2022-01-27 22:56:45.743877595 +0800
@@ -38,7 +38,9 @@
 #endif /* HAVE_GETMNTINFO */
 #include <string.h>
 #include <sys/stat.h>
-
+#ifdef HAVE_SYS_SYSMACROS_H
+#include <sys/sysmacros.h>
+#endif
 #include "ext2_fs.h"
 #include "ext2fs.h"
 
Index: e2fsprogs-1.42.12/misc/mk_hugefiles.c
===================================================================
--- e2fsprogs-1.42.12.orig/misc/mk_hugefiles.c	2014-08-27 21:26:49.000000000 +0800
+++ e2fsprogs-1.42.12/misc/mk_hugefiles.c	2022-01-27 22:57:24.915877986 +0800
@@ -34,6 +34,9 @@
 #include <sys/ioctl.h>
 #include <sys/types.h>
 #include <sys/stat.h>
+#ifdef HAVE_SYS_SYSMACROS_H
+#include <sys/sysmacros.h>
+#endif
 #include <libgen.h>
 #include <limits.h>
 #include <blkid/blkid.h>
